/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing RdsOptionsDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class RdsOptionsDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for RdsOptionsDto
        //private RdsOptionsDto instance;

        public RdsOptionsDtoTests()
        {
            // TODO uncomment below to create an instance of RdsOptionsDto
            //instance = new RdsOptionsDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of RdsOptionsDto
        /// </summary>
        [Fact]
        public void RdsOptionsDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" RdsOptionsDto
            //Assert.IsType<RdsOptionsDto>(instance);
        }

        /// <summary>
        /// Test the property 'BucketName'
        /// </summary>
        [Fact]
        public void BucketNameTest()
        {
            // TODO unit test for the property 'BucketName'
        }

        /// <summary>
        /// Test the property 'Size'
        /// </summary>
        [Fact]
        public void SizeTest()
        {
            // TODO unit test for the property 'Size'
        }
    }
}
